<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PFCreate</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PFCreate"><H1>PFCreate</H1></A>
Creates a mathematical function context. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscpf.h" 
PetscErrorCode PETSCVEC_DLLEXPORT PFCreate(MPI_Comm comm,PetscInt dimin,PetscInt dimout,PF *pf)
</PRE>
Collective on <A HREF="../Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B><A HREF="../Sys/comm.html#comm">comm</A> </B></TD><TD>- MPI communicator 
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>dimin </B></TD><TD>- dimension of the space you are mapping from
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>dimout </B></TD><TD>- dimension of the space you are mapping to
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>pf </B> -the function context
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 <A HREF="../PF/PF.html#PF">PF</A>, create, context
<BR>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 PFSetUp(), <A HREF="../PF/PFApply.html#PFApply">PFApply</A>(), <A HREF="../PF/PFDestroy.html#PFDestroy">PFDestroy</A>(), <A HREF="../PF/PFApplyVec.html#PFApplyVec">PFApplyVec</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/vec/pf/interface/pf.c.html#PFCreate">src/vec/pf/interface/pf.c</A>
<BR><A HREF="./index.html">Index of all PF routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/snes/examples/tutorials/ex22.c.html">src/snes/examples/tutorials/ex22.c.html</A><BR>
</BODY></HTML>
